#
# spec file for package instance-billing-type-check
#
# Copyright (c) 2023 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%if 0%{?suse_version} >= 1600
%define pythons %{primary_python}
%else
%define pythons python3
%endif
%global _sitelibdir %{%{pythons}_sitelib}

Summary:        Cloud Billing Flavour Check
Name:           python-instance-billing-flavor-check
VCS: https://src.suse.de/SLFO-pool/python-instance-billing-flavor-check#0b2d411ecb99e169a711281bbcacd88eef68865507628cac46acdbd47b3d04f7
Version:        1.0.0
Release:        160000.1.2
License:        GPL-3.0
Group:          Productivity/Networking/Web/Utilities
URL:            https://github.com/SUSE-Enceladus/instance-billing-flavor-check
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       %{pythons}
Requires:       %{pythons}-lxml
Requires:       %{pythons}-requests
Requires:       cloud-regionsrv-client >= 10.2.0
BuildRequires:  %{pythons}-setuptools
BuildRequires:  python-rpm-macros

%description
Check if instance is PAYG or BYOS

%prep
%setup -q

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix}  --root=%{buildroot}

%files
%doc README.md
%license LICENSE
%{_bindir}/instance-flavor-check
%{python_sitelib}/instance_billing_flavor_check*

%changelog
* Sat Feb 22 2025 rjschwei@suse.com
- Update to version 1.0.0 (jsc#PCT-531)
  + API incompatibility: The check_payg_byos function no longer exits, it now
    returns a tuple of (flavor, exit_code). This makes the function reusable.
  + Update the build setup to work with the system interpreter of
    upcoming SLE releases. SLE 12 stays with the Python 3.4 interpreter
    and SLE 15 with the Python 3.6 interpreter.
* Fri Jan 31 2025 rjschwei@suse.com
- Version 0.1.2 (bsc#1234444)
  + Improve detection of IPv4 and IPv6 network setup and use appropriate
    IP version for access the update servers
  + Improve reliability of flavor detection. Try an update server multiple
    times to get an answer, if we hit timeouts return the value flavor
    value from a cache file.
* Tue Jan 21 2025 rjschwei@suse.com
- Version 0.1.1 (bsc#1235991, bsc#1235992)
  + Add time stamp to log
- From version 0.1.0
  + Doc improvements clarifying exit staus codes
* Fri Jan 19 2024 rjschwei@suse.com
- Version 0.0.6 (bsc#1218561)
  Support proxy setup on the client to access the update infrastructure
  API
* Thu Jan 18 2024 jesus.bv@suse.com
- Version 0.0.5
  Add IPv6 support (bsc#1218739)
* Wed Nov 15 2023 jesus.bv@suse.com
- Version 0.0.4
  Run the command as sudo only (bsc#1217696, bsc#1217695)
* Thu Jul 20 2023 jesus.bv@suse.com
- Version 0.0.3
  Handle exception for Python 3.4
* Mon Jul 17 2023 jesus.bv@suse.com
- Add reference
  Include PAYG checker package in SLE (jsc#PED-4791)
* Fri Jul 14 2023 jesus.bv@suse.com
- Version 0.0.2
  Handle IPv6 enabled on /etc/hosts
* Fri Jun  9 2023 jesus.bv@suse.com
- Lincese in spdx format
* Fri Jun  9 2023 jesus.bv@suse.com
- Update license for initial build
* Fri Jun  9 2023 jesus.bv@suse.com
- Initial build
  + Version 0.0.1
